React to a message
curl --request POST \
--url https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "<string>",
"reaction": "๐"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '<string>', reaction: '๐'})
};
fetch('https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction"
payload = {
"account_id": "<string>",
"reaction": "๐"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Inbox Conversations
React to a message
Adds or replaces the accountโs emoji reaction on a message. Send the emoji character itself. Supported on Instagram and Facebook Messenger.
POST
/
inbox
/
conversations
/
{id}
/
messages
/
{messageId}
/
reaction
React to a message
curl --request POST \
--url https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "<string>",
"reaction": "๐"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '<string>', reaction: '๐'})
};
fetch('https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/conversations/{id}/messages/{messageId}/reaction"
payload = {
"account_id": "<string>",
"reaction": "๐"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Conversation ID
Platform message ID to react to
Response
Reaction applied
Example:
true